Subject: Re: [SWIPL] Getting Started with SWI

From: Dave Schumann <[email-masked]>
Date: Mon, 17 Sep 2001 16:38:25 -0700

Only the known problem of infinite recursion.  The recursive definition of
friends
appears in the database before the concrete definition.  So given the query

friends("steve", "alicja").

Prolog tries to find some Y such that friends("steve",Y) is true, and to do that
it
tries to find some Y' such that friends("steve",Y') is true, etc etc.

--David Schumann
Pfizer, Inc.

Steve Prior wrote:

> Thanks Richard and all the others who have responded.  You have all
> been eager to help and that made me feel welcome.  I tried the [user].
> and entered the following:
>
> ?- [user].
> |: friends(X,Z):-
> |: friends(X,Y),
> |: friends(Y,Z).
> |: friends("steve","alicja").
> |: friends("alicja","tim").
> ^D
> %user compiled 0.00 sec, 676 bytes
>
> ?- friends("steve","alicja").
> ERROR: Out of local stack
> Exception: (31,742) friends([115, 116, 101, 118, 101], _G404) ?
>
> I'm using SWI-Prolog (version 4.0.9) on Windows 2000
>
> Did I step on some kind of known problem?
>
> Thanks
> Steve
>
> "Richard A. O'Keefe" wrote:
>
> > Tom Breton wrote:
> >
> >         You need to type
> >
> >                 [user].
> >
> >         before defining rules, and ^D when you're done.
> >
> > Correction.  You should type *whatever* your end-of-file key is,
> > at the beginning of a line with nothing else on it.
> > For many people, the end-of-file key is ^Z, not ^D.
> >
> > Or you can use the Prolog end-of-file convention, which is to type
> >         end_of_file.
> > and works whatever the host's end-of-file convention might be.
>
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
>
> ** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/